Generation Framework

## org.eclipse.gmf.tooldef
Class AppearanceStyle

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.tooldef.AppearanceStyle

All Implemented Interfaces:
  Enumerator

public final class AppearanceStyle
extends AbstractEnumerator

A representation of the literals of the enumeration 'Appearance Style', and utility methods for working with them.

See Also:
  `GMFToolPackage.getAppearanceStyle()`
** Generated **
Model:

Field Summary
`static int` `FILL` The 'Fill' literal value
`static AppearanceStyle` `FILL_LITERAL` The 'Fill' literal object
`static int` `FONT` The 'Font' literal value
`static AppearanceStyle` `FONT_LITERAL` The 'Font' literal object
`static int` `LINE` The 'Line' literal value
`static AppearanceStyle` `LINE_LITERAL` The 'Line' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Appearance Style' enumerators

Method Summary
`static AppearanceStyle` `get(int value)` Returns the 'Appearance Style' literal with the specified integer value
`static AppearanceStyle` `get(java.lang.String literal)` Returns the 'Appearance Style' literal with the specified literal value
`static AppearanceStyle` `getByName(java.lang.String name)` Returns the 'Appearance Style' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FONT

    public static final int FONT

  The 'Font' literal value.

  If the meaning of 'Font' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AppearanceStyle.FONT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Font"

### FILL

    public static final int FILL

  The 'Fill' literal value.

  If the meaning of 'Fill' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AppearanceStyle.FILL_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Fill"

### LINE

    public static final int LINE

  The 'Line' literal value.

  If the meaning of 'Line' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AppearanceStyle.LINE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Line"

### FONT_LITERAL

    public static final AppearanceStyle FONT_LITERAL

  The 'Font' literal object.

  See Also:
    `AppearanceStyle.FONT`
  ** Generated **
  Ordered:

### FILL_LITERAL

    public static final AppearanceStyle FILL_LITERAL

  The 'Fill' literal object.

  See Also:
    `AppearanceStyle.FILL`
  ** Generated **
  Ordered:

### LINE_LITERAL

    public static final AppearanceStyle LINE_LITERAL

  The 'Line' literal object.

  See Also:
    `AppearanceStyle.LINE`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Appearance Style' enumerators.

  ** Generated **

Method Detail

### get

    public static AppearanceStyle get(java.lang.String literal)

  Returns the 'Appearance Style' literal with the specified literal value.

  ** Generated **

### getByName

    public static AppearanceStyle getByName(java.lang.String name)

  Returns the 'Appearance Style' literal with the specified name.

  ** Generated **

### get

    public static AppearanceStyle get(int value)

  Returns the 'Appearance Style' literal with the specified integer value.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.